#include <math.h>
#include <stdio.h>
#include <gsl/gsl_matrix.h>
#include <gsl/gsl_blas.h>

int main(void)
{
    size_t i,j;
    gsl_matrix *m = gsl_matrix_alloc(10, 10);

    for (i = 0; i < 10; i++)
        for (j = 0; j < 10; j++)
            gsl_matrix_set(m, i, j, sin(i) + cos(j));

    for (j = 0; j < 10; j++) {
        gsl_vector_view column = gsl_matrix_column(m, j);
        double d;

        d = gsl_blas_dnrm2(&column.vector);
        printf("matrix column %d, norm = %g\n", j, d);
    }

    gsl_matrix_free(m);
    return 0;
}

