#include <stdio.h>
#include <gsl/gsl_randist.h>

#define DIM 2

int main()
{
	int i, j;
	double x[DIM], X, Y, Z;
	const gsl_rng_type * T; 
	gsl_rng * r; 

    gsl_rng_env_setup(); 
    T = gsl_rng_default; 
    r = gsl_rng_alloc(T);

	printf("set terminal postscript eps\n");
	printf("set output \"19_23.eps\"\n");
	printf("set size square\n");
	printf("set title \"Spherical Vector Distribution\"\n");
	printf("set xlabel \"x[1]\"\n");
	printf("set ylabel \"x[2]\"\n");
	printf("plot [-2:2][-2:2] \"-\" title \"100 samples\" with points\n");
	for (i = 0; i < 100; i++) {
		gsl_ran_dir_nd(r, DIM, x);
		for (j = 0; j < DIM; j++) printf("%f\t", x[j]);
		printf("\n");
	}
	printf("e\n");

	printf("set output \"19_23_2.eps\"\n");
	printf("set xlabel \"x[1]\"\n");
	printf("set ylabel \"x[2]\"\n");
	printf("set zlabel \"x[3]\"\n");
	printf("splot [-2:2][-2:2][-2:2] \"-\" with points\n");
	for (i = 0; i < 1000; i++) {
		gsl_ran_dir_3d(r, &X, &Y, &Z);
		printf("%f\t%f\t%f\n", X, Y, Z);
	}

	free(r);
	return 0;
}
