#include <stdio.h>
#include <gsl/gsl_randist.h>

int main()
{
	double th[2], x1, x2;
	double a[2] = {0.3, 0.5};

	printf("set terminal postscript eps\n");
	printf("set output \"19_27.eps\"\n");
	printf("set view 47.0, 72.0\n");
	printf("set title \"Dirichlet Distribution PDF\"\n");
	printf("set xlabel \"theta[1]\"\n");
	printf("set ylabel \"theta[2]\"\n");
	printf("set zlabel \"p(theta)\"\n");
	printf("set ticslevel 0\n");
	printf("splot [0:5][0:5] \"-\" title \"a = {0.3, 0.5}\" with lines\n");
	for (x1 = 0; x1 <= 5.0; x1 += 0.2) {
		for (x2 = 0; x2 <= 5.0; x2 += 0.2) {
			th[0] = x1; th[1] = x2;
			printf("%f\t%f\t%f\n", x1, x2, gsl_ran_dirichlet_pdf(2, a, th));
		}
		printf("\n");
	}

	return 0;
}
