#include <stdio.h>
#include <gsl/gsl_randist.h>

#define N 10
#define K  3

int main()
{
	int k1, k2;
	unsigned int n[K];
	double       p[] = { 0.2, 0.3, 0.5 };

	printf("set pointsize 2\n");
	printf("set terminal postscript eps enhanced 22\n");
	printf("set output \"19_32.eps\"\n");
	printf("set title \"Multinomial Distribution\"\n");
	printf("set xlabel \"n[0]\"\n");
	printf("set ylabel \"n[1]\"\n");
	printf("set zlabel \"p(n)\"\n");
	printf("set xtics 1.0\n");
	printf("set ytics 1.0\n");
	printf("set grid xtics ytics\n");
	printf("set ticslevel 0\n");
	printf("splot [-1:11][-1:11][0:0.1] \"-\" title \"n[2] = 10 - n1 - n2, p[k] = .2, .3, .5\" with impulses lw 5\n");
	for (k1 = 0; k1 <= 10; k1++) {
		for (k2 = 0; k2 <= 10 - k1; k2++) {
			n[0] = k1; n[1] = k2; n[2] = N - k1 - k2;
			printf("%d\t%d\t%f\n", k1, k2, gsl_ran_multinomial_pdf(K, p, n));
		}
		for (k2 = 11 - k1; k2 <= 10; k2++) printf("%d\t%d\t0.0\n", k1, k2);
		printf("\n");
	}

	return 0;
}
