(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     43669,       1414]
NotebookOptionsPosition[     41155,       1337]
NotebookOutlinePosition[     41503,       1352]
CellTagsIndexPosition[     41460,       1349]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Bionomial", " ", "dist"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "3"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "4"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "5"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "6"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "7"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "8"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "9"}], ",", 
      RowBox[{"k", "\[Rule]", "9"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "k"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "k"}], ")"}]}], "*", 
     RowBox[{
      RowBox[{"n", "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "k"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "\[Rule]", "0.5"}], ",", 
       RowBox[{"n", "\[Rule]", "9"}], ",", 
       RowBox[{"k", "\[Rule]", "10"}]}], "}"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.441603629025702*^9, 3.4416036782353287`*^9}, {
  3.4416037153331957`*^9, 3.4416037290945597`*^9}, {3.441604884810487*^9, 
  3.44160490344493*^9}}],

Cell[BoxData["0.24609375`"], "Output",
 CellChangeTimes->{
  3.4416036787050657`*^9, {3.441603715902034*^9, 3.441603737574842*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Negative", " ", "Binomial", " ", "dist"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "3"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "4"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "5"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "6"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "7"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "8"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "9"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{"Gamma", "[", 
       RowBox[{"n", "+", "k"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Gamma", "[", 
         RowBox[{"k", "+", "1"}], "]"}], " ", 
        RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3.5"}], ",", 
      RowBox[{"k", "\[Rule]", "10"}]}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.441603686581739*^9, 3.44160373324641*^9}, {
  3.44160488772689*^9, 3.441605033341051*^9}}],

Cell[BoxData["0.08838834764831845`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.441605033688409*^9}],

Cell[BoxData["0.1546796083845573`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.44160503368993*^9}],

Cell[BoxData["0.17401455943262695`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.441605033694235*^9}],

Cell[BoxData["0.1595133461465747`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.441605033696003*^9}],

Cell[BoxData["0.12960459374409194`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.4416050336975727`*^9}],

Cell[BoxData["0.09720344530806894`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.441605033737216*^9}],

Cell[BoxData["0.06885244042654885`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.441605033791751*^9}],

Cell[BoxData["0.04672129886087242`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.4416050338390017`*^9}],

Cell[BoxData["0.030660852377447537`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.44160503388414*^9}],

Cell[BoxData["0.01958887790781371`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.441605033939208*^9}],

Cell[BoxData["0.012243048692383563`"], "Output",
 CellChangeTimes->{{3.441603688260108*^9, 3.441603734138269*^9}, 
   3.4416049961947517`*^9, 3.4416050339885607`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Pascal", " ", "dist"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "3"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "4"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "5"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "6"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "7"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "8"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "9"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "^", "n"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "p"}], ")"}], "^", "k"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"n", "+", "k", "-", "1"}], ")"}], "!"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", "!"}], "*", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "-", "1"}], ")"}], "!"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"n", "\[Rule]", "3"}], ",", 
      RowBox[{"k", "\[Rule]", "10"}]}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.441603838689254*^9, 3.44160386579774*^9}, {
  3.4416053336395903`*^9, 3.441605411072958*^9}}],

Cell[BoxData["0.125`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605411902232*^9}}],

Cell[BoxData["0.1875`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.4416054119040537`*^9}}],

Cell[BoxData["0.1875`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605411911175*^9}}],

Cell[BoxData["0.15625`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.4416054119474573`*^9}}],

Cell[BoxData["0.1171875`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605412003847*^9}}],

Cell[BoxData["0.08203125`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605412051943*^9}}],

Cell[BoxData["0.0546875`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605412100445*^9}}],

Cell[BoxData["0.03515625`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605412149431*^9}}],

Cell[BoxData["0.02197265625`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.4416054122013683`*^9}}],

Cell[BoxData["0.013427734375000002`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605412249579*^9}}],

Cell[BoxData["0.008056640625`"], "Output",
 CellChangeTimes->{{3.44160383998542*^9, 3.441603866632751*^9}, {
  3.441605386935998*^9, 3.441605412318486*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"geometric", " ", "dist"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"p", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "p"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"k", "-", "1"}], ")"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "p"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"k", "-", "1"}], ")"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"k", "\[Rule]", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "p"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"k", "-", "1"}], ")"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"k", "\[Rule]", "3"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "p"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"k", "-", "1"}], ")"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"k", "\[Rule]", "4"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", "p"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"k", "-", "1"}], ")"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.5"}], ",", 
      RowBox[{"k", "\[Rule]", "5"}]}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.4416039849680853`*^9, 3.44160398560861*^9}, {
  3.441605810225499*^9, 3.4416058703983593`*^9}, {3.441605908576386*^9, 
  3.441605941749043*^9}}],

Cell[BoxData["0.5`"], "Output",
 CellChangeTimes->{{3.4416058513900433`*^9, 3.441605870936736*^9}, 
   3.4416059429048557`*^9}],

Cell[BoxData["0.25`"], "Output",
 CellChangeTimes->{{3.4416058513900433`*^9, 3.441605870936736*^9}, 
   3.441605942932901*^9}],

Cell[BoxData["0.125`"], "Output",
 CellChangeTimes->{{3.4416058513900433`*^9, 3.441605870936736*^9}, 
   3.441605942972986*^9}],

Cell[BoxData["0.0625`"], "Output",
 CellChangeTimes->{{3.4416058513900433`*^9, 3.441605870936736*^9}, 
   3.4416059430029297`*^9}],

Cell[BoxData["0.03125`"], "Output",
 CellChangeTimes->{{3.4416058513900433`*^9, 3.441605870936736*^9}, 
   3.441605943037199*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Hypergeometric", " ", "dist"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"n1", "!"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "!"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n1", "-", "k"}], ")"}], "!"}]}], ")"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n2", "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"t", "-", "k"}], ")"}], "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n2", "-", 
             RowBox[{"(", 
              RowBox[{"t", "-", "k"}], ")"}]}], ")"}], "!"}]}], ")"}]}], 
       ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n1", "+", "n2"}], ")"}], "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"t", "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"n1", "+", "n2"}], ")"}], "-", "t"}], ")"}], "!"}]}], 
         ")"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n1", "\[Rule]", "5"}], ",", 
      RowBox[{"n2", "\[Rule]", "20"}], ",", 
      RowBox[{"t", "\[Rule]", "3."}], ",", 
      RowBox[{"k", "\[Rule]", "0"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"n1", "!"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "!"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n1", "-", "k"}], ")"}], "!"}]}], ")"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n2", "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"t", "-", "k"}], ")"}], "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n2", "-", 
             RowBox[{"(", 
              RowBox[{"t", "-", "k"}], ")"}]}], ")"}], "!"}]}], ")"}]}], 
       ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n1", "+", "n2"}], ")"}], "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"t", "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"n1", "+", "n2"}], ")"}], "-", "t"}], ")"}], "!"}]}], 
         ")"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n1", "\[Rule]", "5"}], ",", 
      RowBox[{"n2", "\[Rule]", "20"}], ",", 
      RowBox[{"t", "\[Rule]", "3."}], ",", 
      RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"n1", "!"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "!"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n1", "-", "k"}], ")"}], "!"}]}], ")"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n2", "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"t", "-", "k"}], ")"}], "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n2", "-", 
             RowBox[{"(", 
              RowBox[{"t", "-", "k"}], ")"}]}], ")"}], "!"}]}], ")"}]}], 
       ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n1", "+", "n2"}], ")"}], "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"t", "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"n1", "+", "n2"}], ")"}], "-", "t"}], ")"}], "!"}]}], 
         ")"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n1", "\[Rule]", "5"}], ",", 
      RowBox[{"n2", "\[Rule]", "20"}], ",", 
      RowBox[{"t", "\[Rule]", "3."}], ",", 
      RowBox[{"k", "\[Rule]", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"n1", "!"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "!"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n1", "-", "k"}], ")"}], "!"}]}], ")"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n2", "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"t", "-", "k"}], ")"}], "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n2", "-", 
             RowBox[{"(", 
              RowBox[{"t", "-", "k"}], ")"}]}], ")"}], "!"}]}], ")"}]}], 
       ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n1", "+", "n2"}], ")"}], "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"t", "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"n1", "+", "n2"}], ")"}], "-", "t"}], ")"}], "!"}]}], 
         ")"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n1", "\[Rule]", "5"}], ",", 
      RowBox[{"n2", "\[Rule]", "20"}], ",", 
      RowBox[{"t", "\[Rule]", "3."}], ",", 
      RowBox[{"k", "\[Rule]", "3"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"n1", "!"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", "!"}], "*", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n1", "-", "k"}], ")"}], "!"}]}], ")"}]}], ")"}], "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n2", "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"t", "-", "k"}], ")"}], "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"n2", "-", 
             RowBox[{"(", 
              RowBox[{"t", "-", "k"}], ")"}]}], ")"}], "!"}]}], ")"}]}], 
       ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n1", "+", "n2"}], ")"}], "!"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"t", "!"}], "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"n1", "+", "n2"}], ")"}], "-", "t"}], ")"}], "!"}]}], 
         ")"}]}], ")"}]}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"n1", "\[Rule]", "5"}], ",", 
      RowBox[{"n2", "\[Rule]", "20"}], ",", 
      RowBox[{"t", "\[Rule]", "3."}], ",", 
      RowBox[{"k", "\[Rule]", "4"}]}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.441606303330195*^9, 3.441606308835864*^9}, {
  3.4416063676871777`*^9, 3.441606534521769*^9}}],

Cell[BoxData["0.4956521739130451`"], "Output",
 CellChangeTimes->{3.441606535259791*^9}],

Cell[BoxData["0.41304347826087096`"], "Output",
 CellChangeTimes->{3.441606535261533*^9}],

Cell[BoxData["0.08695652173913074`"], "Output",
 CellChangeTimes->{3.441606535267496*^9}],

Cell[BoxData["0.0043478260869565365`"], "Output",
 CellChangeTimes->{3.441606535301285*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.441606535355709*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Logarithmic", " ", "dist"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "2"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "3"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "4"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "5"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "6"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "7"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "8"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "9"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", "^", "k"}]}], "/", 
     RowBox[{"(", 
      RowBox[{"k", " ", 
       RowBox[{"Log", "[", 
        RowBox[{"1", "-", "p"}], "]"}]}], ")"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "\[Rule]", "0.7"}], ",", 
      RowBox[{"k", "\[Rule]", "10"}]}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.4416067103472977`*^9, 3.441606780987318*^9}}],

Cell[BoxData["0.5814084815577761`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.4416067818258667`*^9}}],

Cell[BoxData["0.20349296854522164`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781827763*^9}}],

Cell[BoxData["0.0949633853211034`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781834629*^9}}],

Cell[BoxData["0.04985577729357929`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781837213*^9}}],

Cell[BoxData["0.027919235284404403`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781839581*^9}}],

Cell[BoxData["0.016286220582569233`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781867379*^9}}],

Cell[BoxData["0.00977173234954154`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781907*^9}}],

Cell[BoxData["0.005985186064094193`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606781954298*^9}}],

Cell[BoxData["0.0037241157732141638`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.4416067820023823`*^9}}],

Cell[BoxData["0.002346192937124923`"], "Output",
 CellChangeTimes->{{3.441606757974489*^9, 3.441606782051716*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[""], "Input"],

Cell[BoxData["0.4956521739130451`"], "Output",
 CellChangeTimes->{{3.4416064774241877`*^9, 3.4416064940549107`*^9}}]
}, Open  ]]
},
WindowSize->{839, 739},
WindowMargins->{{36, Automatic}, {16, Automatic}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (2007\:5e746\:670819\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 7121, 239, 237, "Input"],
Cell[7714, 264, 131, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7882, 271, 6965, 216, 237, "Input"],
Cell[14850, 489, 163, 2, 30, "Output"],
Cell[15016, 493, 161, 2, 30, "Output"],
Cell[15180, 497, 163, 2, 30, "Output"],
Cell[15346, 501, 162, 2, 30, "Output"],
Cell[15511, 505, 165, 2, 30, "Output"],
Cell[15679, 509, 163, 2, 30, "Output"],
Cell[15845, 513, 163, 2, 30, "Output"],
Cell[16011, 517, 165, 2, 30, "Output"],
Cell[16179, 521, 163, 2, 30, "Output"],
Cell[16345, 525, 163, 2, 30, "Output"],
Cell[16511, 529, 166, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16714, 536, 7232, 237, 237, "Input"],
Cell[23949, 775, 147, 2, 30, "Output"],
Cell[24099, 779, 150, 2, 30, "Output"],
Cell[24252, 783, 148, 2, 30, "Output"],
Cell[24403, 787, 151, 2, 30, "Output"],
Cell[24557, 791, 151, 2, 30, "Output"],
Cell[24711, 795, 152, 2, 30, "Output"],
Cell[24866, 799, 151, 2, 30, "Output"],
Cell[25020, 803, 152, 2, 30, "Output"],
Cell[25175, 807, 157, 2, 30, "Output"],
Cell[25335, 811, 162, 2, 30, "Output"],
Cell[25500, 815, 156, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25693, 822, 2084, 67, 124, "Input"],
Cell[27780, 891, 127, 2, 30, "Output"],
Cell[27910, 895, 126, 2, 30, "Output"],
Cell[28039, 899, 127, 2, 30, "Output"],
Cell[28169, 903, 130, 2, 30, "Output"],
Cell[28302, 907, 129, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28468, 914, 7032, 237, 218, "Input"],
Cell[35503, 1153, 88, 1, 30, "Output"],
Cell[35594, 1156, 89, 1, 30, "Output"],
Cell[35686, 1159, 89, 1, 30, "Output"],
Cell[35778, 1162, 91, 1, 30, "Output"],
Cell[35872, 1165, 70, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35979, 1171, 3813, 125, 218, "Input"],
Cell[39795, 1298, 114, 1, 30, "Output"],
Cell[39912, 1301, 113, 1, 30, "Output"],
Cell[40028, 1304, 112, 1, 30, "Output"],
Cell[40143, 1307, 113, 1, 30, "Output"],
Cell[40259, 1310, 114, 1, 30, "Output"],
Cell[40376, 1313, 114, 1, 30, "Output"],
Cell[40493, 1316, 110, 1, 30, "Output"],
Cell[40606, 1319, 114, 1, 30, "Output"],
Cell[40723, 1322, 117, 1, 30, "Output"],
Cell[40843, 1325, 114, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40994, 1331, 26, 0, 30, "Input"],
Cell[41023, 1333, 116, 1, 30, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

