(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     52871,       1030]
NotebookOptionsPosition[     51897,        996]
NotebookOutlinePosition[     52245,       1011]
CellTagsIndexPosition[     52202,       1008]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"d", "=", 
  RowBox[{"DateList", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "t"}], " ", 
           RowBox[{"Log", "[", "t", "]"}]}], "-", 
          RowBox[{"x", " ", "t"}]}], "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"Pi", " ", "t"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "Infinity"}], "}"}]}], "]"}], "/", "Pi"}],
     ")"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "10"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Landau Distribution\>\""}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"p", "[", "x", "]"}]}], "}"}]}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0.2"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotRangeClipping", "\[Rule]", "True"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AbsoluteTime", "[", 
   RowBox[{"DateList", "[", "]"}], "]"}], "-", 
  RowBox[{"AbsoluteTime", "[", "d", "]"}]}]}], "Input",
 CellChangeTimes->{{3.441578843386814*^9, 3.441578879433701*^9}, {
   3.441578981540674*^9, 3.441579008060557*^9}, {3.4415790917335033`*^9, 
   3.4415791266554947`*^9}, {3.44158044144908*^9, 3.4415804870247726`*^9}, {
   3.441580575005228*^9, 3.441580609206287*^9}, 3.4415808949915123`*^9, {
   3.44158095957162*^9, 3.441580981346291*^9}, {3.441581407007127*^9, 
   3.4415814089652147`*^9}, {3.441586660655181*^9, 3.4415866836943693`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2009", ",", "1", ",", "22", ",", "13", ",", "18", ",", 
   "22.380554`8.102445815850606"}], "}"}]], "Output",
 CellChangeTimes->{3.441580827104961*^9, 3.441581202820101*^9, 
  3.441581637793028*^9, 3.441586702388241*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NIntegrate", "::", "\<\"deorel\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"DoubleExponentialOscillatory\:30e1\:30bd\:30c3\:30c9\:3068\
\:8abf\:6574\:30d1\:30e9\:30e1\:30fc\:30bfTuningParameters -> \\!\\({10, \
5}\\)\:3067\\!\\({0, \
\[Infinity]}\\)\:306b\:304a\:3051\:308b\:88ab\:7a4d\:5206\:95a2\:6570\\!\\(\
\[ExponentialE]\\^\\(\\(\\(4.999693571428571`\\\\ t\\)\\) - \\(\\(t\\\\ \
\\(\\(Log[t]\\)\\)\\)\\)\\)\\\\ \\(\\(Sin[\\(\\(\[Pi]\\\\ t\\)\\)]\\)\\)\\)\
\:306b\:5bfe\:3057\:3066\:ff0c\:76f8\:5bfe\:8aa4\:5dee\\!\\(1.\
0060553742180398`\\)\:306f\:4e88\:60f3\:3055\:308c\:308b\:76f8\:5bfe\:8aa4\
\:5dee\:3088\:308a\:5927\:304d\:304f\:306a\:3063\:3066\:3044\:307e\:3059\:ff0e\
 \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/NIntegrate/deorel\\\", \
ButtonNote -> \\\"NIntegrate::deorel\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.4415805991702547`*^9, 3.441580611387607*^9}, 
   3.4415809866834784`*^9, 3.441581420809855*^9, 3.441586703586747*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NIntegrate", "::", "\<\"deoncon\"\>"}], 
  RowBox[{
  ":", " "}], \
"\<\"\:88ab\:7a4d\:5206\:95a2\:6570\\!\\(\[ExponentialE]\\^\\(\\(\\(4.\
999693571428571`\\\\ t\\)\\) - \\(\\(t\\\\ \\(\\(Log[t]\\)\\)\\)\\)\\)\\\\ \
\\(\\(Sin[\\(\\(\[Pi]\\\\ t\\)\\)]\\)\\)\\)\:306f\\!\\({0, \[Infinity]}\\)\
\:306b\:304a\:3044\:3066DoubleExponentialOscillatory\:3067\:306f\:53ce\:675f\
\:3057\:307e\:305b\:3093\:3067\:3057\:305f\:ff0eDoubleExponentialOscillatory\
\:306f\:7a4d\:5206\:3068\:8aa4\:5dee\:63a8\:5b9a\:3068\:3057\:3066\\!\\(\
101255.94715369298`\\)\:3068\\!\\(10.060553742180398`\\)\:3092\:5f97\:307e\
\:3057\:305f\:ff0e \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\
\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/NIntegrate/deoncon\\\", ButtonNote -> \
\\\"NIntegrate::deoncon\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.4415805991702547`*^9, 3.441580611387607*^9}, 
   3.4415809866834784`*^9, 3.441581420809855*^9, 3.441586703684799*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NIntegrate", "::", "\<\"ncvb\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"NIntegrate\:304c\\!\\({t}\\) = \
\\!\\({64.89388954152466`}\\)\:306e\:8fd1\:508d\:306e\\!\\(t\\)\:30672\:5206\
\:6cd5\:3092\\!\\(9\\)\:56de\:53cd\:5fa9\:3057\:307e\:3057\:305f\:304c\:ff0c\
\:6307\:5b9a\:3055\:308c\:305f\:78ba\:5ea6\:306b\:53ce\:675f\:3057\:307e\:305b\
\:3093\:3067\:3057\:305f\:ff0eNIntegrat\:306f\:7a4d\:5206\:3068\:8aa4\:5dee\
\:63a8\:5b9a\:3068\:3057\:3066\\!\\(-5.016700826379823`*^20\\)\:3068\\!\\(6.\
977912858506292`*^21\\)\:3092\:5f97\:307e\:3057\:305f\:ff0e \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/NIntegrate/ncvb\\\", \
ButtonNote -> \\\"NIntegrate::ncvb\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.4415805991702547`*^9, 3.441580611387607*^9}, 
   3.4415809866834784`*^9, 3.441581420809855*^9, 3.44158670378554*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJxF1nc4lt//AHCbByEysndIdj6E5/2EstJAWRUhSUZFSikjMkqkhWSlIUUZ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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->{0, 0},
  Frame->True,
  FrameLabel->{
    FormBox["x", TraditionalForm], 
    FormBox[
     RowBox[{"p", "(", "x", ")"}], TraditionalForm]},
  PlotLabel->FormBox["\"Landau Distribution\"", TraditionalForm],
  PlotRange->{{-5, 10}, {0, 0.2}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.441580827104961*^9, 3.441581202820101*^9, 
  3.441581637793028*^9, 3.441586921519829*^9}],

Cell[BoxData["219.132245`8.792251278441228"], "Output",
 CellChangeTimes->{3.441580827104961*^9, 3.441581202820101*^9, 
  3.441581637793028*^9, 3.441586921549011*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"d", "=", 
  RowBox[{"DateList", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "I"}], " ", "t", " ", "x"}], "-", 
           RowBox[{"Abs", "[", "t", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}], "/", 
       
       RowBox[{"(", 
        RowBox[{"2", " ", "Pi"}], ")"}]}], ")"}], ",", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "I"}], " ", "t", " ", "x"}], "-", 
           RowBox[{
            RowBox[{"Abs", "[", "t", "]"}], "^", "2"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", 
           RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}], "/", 
       
       RowBox[{"(", 
        RowBox[{"2", " ", "Pi"}], ")"}]}], ")"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", "Dashed"}], "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Levy Distribution\>\""}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"p", "[", "x", "]"}]}], "}"}]}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0.45"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotRangeClipping", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<c=1,\[Alpha]=1.0\>\"", ",", "\"\<c=1,\[Alpha]=2.0\>\""}], 
     "}"}]}], ",", " ", 
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0.25", ",", "0.2"}], "}"}]}], ",", 
   RowBox[{"LegendShadow", "\[Rule]", "None"}], ",", " ", 
   RowBox[{"LegendSpacing", "\[Rule]", 
    RowBox[{"-", "0.3"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AbsoluteTime", "[", 
   RowBox[{"DateList", "[", "]"}], "]"}], "-", 
  RowBox[{"AbsoluteTime", "[", "d", "]"}]}]}], "Input",
 CellChangeTimes->{{3.441582001223439*^9, 3.441582070788975*^9}, {
  3.441582216219952*^9, 3.4415822746974707`*^9}, {3.441582487448222*^9, 
  3.44158257428918*^9}, {3.4415837877316103`*^9, 3.4415838501025763`*^9}, {
  3.4415839110244217`*^9, 3.4415839916396837`*^9}, {3.441584073279007*^9, 
  3.441584105600391*^9}, {3.4415850576499166`*^9, 3.441585096329564*^9}, {
  3.441585153134606*^9, 3.441585180181794*^9}, {3.441585300474615*^9, 
  3.4415853012090263`*^9}, {3.441585743216158*^9, 3.441585744804203*^9}, {
  3.441585817136056*^9, 3.4415858405579443`*^9}, {3.441585991915604*^9, 
  3.441585993893407*^9}, {3.4415863028731117`*^9, 3.4415863220096397`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2009", ",", "1", ",", "22", ",", "13", ",", "12", ",", 
   "4.972143`7.4491185986294255"}], "}"}]], "Output",
 CellChangeTimes->{
  3.441582115465474*^9, 3.441582809508296*^9, 3.4415839166824903`*^9, {
   3.441583969003376*^9, 3.4415839924404182`*^9}, 3.441584111144371*^9, 
   3.441585305491398*^9, 3.4415859970824327`*^9, 3.4415863249856462`*^9}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {GrayLevel[0], LineBox[CompressedData["
1:eJw12Hk0VV/YB3DDNUu4CP3IWIZSFErpOQgpSYhCCUVJxkgZmulKJEOIDNd4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        "]]}, 
      {Hue[0.9060679774997897, 0.6, 0.6], Dashing[{Small, Small}], 
       LineBox[CompressedData["
1:eJw12Xk0FW/cAHB07Rd3idJmFyoq7dL3uRQphLIvFUIR2YVChCRly1ohe6JI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        "]]}},
     AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     Frame->True,
     FrameLabel->{
       FormBox["x", TraditionalForm], 
       FormBox[
        RowBox[{"p", "(", "x", ")"}], TraditionalForm]},
     PlotLabel->FormBox["\"Levy Distribution\"", TraditionalForm],
     PlotRange->{{-5, 5}, {0, 0.45}},
     PlotRangeClipping->True,
     PlotRangePadding->{Automatic, Automatic}], {-1, -0.6180339887498948}, {
    Left, Bottom}, {2, 1.2360679774997896`}], InsetBox[
    GraphicsBox[{{{InsetBox[
         GraphicsBox[
          {Hue[0.9060679774997897, 0.6, 0.6], 
           Dashing[{6.666666666666667 Small, 6.666666666666667 Small}], 
           LineBox[{{0, 0}, {1, 0}}]}], {-0.3, -0.3}, {Left, Bottom}, {1, 1}],
         InsetBox["\<\"c=1,\[Alpha]=2.0\"\>", {0.45, 0.2}, {-1, 0}, 
         Automatic, {1, 0}]}, {InsetBox[
         GraphicsBox[
          {GrayLevel[0], 
           LineBox[{{0, 0}, {1, 0}}]}], {-0.3, 0.10000000000000009`}, {
         Left, Bottom}, {1, 1}], 
        InsetBox["\<\"c=1,\[Alpha]=1.0\"\>", {0.45, 0.6000000000000001}, {-1, 0},
          Automatic, {1, 0}]}}, {}},
     AspectRatio->0.38461538461538464`,
     FormatType->TraditionalForm,
     PlotRange->{{-0.1, 2.5}, {-0.1, 0.9}}], {0.25, 0.2}, {
    Left, Bottom}, {0.8, 0.3076923076923077}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImageSize->Automatic,
  PlotRange->All]], "Output",
 CellChangeTimes->{
  3.441582115465474*^9, 3.441582809508296*^9, 3.4415839166824903`*^9, {
   3.441583969003376*^9, 3.4415839924404182`*^9}, 3.441584111144371*^9, 
   3.441585305491398*^9, 3.4415859970824327`*^9, 3.441586554812388*^9},
 ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData["229.837483`8.812965842543244"], "Output",
 CellChangeTimes->{
  3.441582115465474*^9, 3.441582809508296*^9, 3.4415839166824903`*^9, {
   3.441583969003376*^9, 3.4415839924404182`*^9}, 3.441584111144371*^9, 
   3.441585305491398*^9, 3.4415859970824327`*^9, 3.441586554826901*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"d", "=", 
  RowBox[{"DateList", "[", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "I"}], " ", "t", " ", "x"}], "-", 
         RowBox[{
          RowBox[{"Abs", "[", "t", "]"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"I", " ", 
             RowBox[{"Sign", "[", "t", "]"}], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"Abs", "[", "t", "]"}], "]"}], "/", "Pi"}]}], 
              ")"}]}]}], ")"}]}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{"2", " ", "Pi"}], ")"}]}], ")"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "10"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", "Black", "}"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Levy Skew Distribution\>\""}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"p", "[", "x", "]"}]}], "}"}]}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0.45"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotRangeClipping", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", "\"\<c=1 ,\[Alpha]=1.0, \[Beta]=1.0\>\"", "}"}]}], ",", " ", 
   
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0.1", ",", "0.3"}], "}"}]}], ",", 
   RowBox[{"LegendShadow", "\[Rule]", "None"}], ",", " ", 
   RowBox[{"LegendSpacing", "\[Rule]", 
    RowBox[{"-", "0.3"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AbsoluteTime", "[", 
   RowBox[{"DateList", "[", "]"}], "]"}], "-", 
  RowBox[{"AbsoluteTime", "[", "d", "]"}]}]}], "Input",
 CellChangeTimes->{{3.441587002682007*^9, 3.441587052907486*^9}, {
   3.441587085617667*^9, 3.441587116473674*^9}, {3.441587163145989*^9, 
   3.441587163251382*^9}, {3.441587519027775*^9, 3.4415876176737022`*^9}, {
   3.4415878173541527`*^9, 3.4415878399228487`*^9}, {3.441588107150926*^9, 
   3.4415881079845047`*^9}, {3.441588328424362*^9, 3.441588404359704*^9}, {
   3.441592559769087*^9, 3.441592565426696*^9}, 3.441592899952161*^9, {
   3.44159298749129*^9, 3.44159299432697*^9}, {3.441593034732609*^9, 
   3.4415930384127073`*^9}, {3.44159321181332*^9, 3.441593215624819*^9}, {
   3.4416873774728823`*^9, 3.441687380560409*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "2009", ",", "1", ",", "23", ",", "17", ",", "16", ",", 
   "23.310107`8.120119249946585"}], "}"}]], "Output",
 CellChangeTimes->{3.441587153423821*^9, 3.441587842454368*^9, 
  3.4415881098526993`*^9, 3.441588338365983*^9, 3.441588409157625*^9, 
  3.441589059606848*^9, 3.441592566454475*^9, 3.4415929020676517`*^9, 
  3.441592995194084*^9, 3.441593040147167*^9, 3.441593222882121*^9, 
  3.441687383311761*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.441587153423821*^9, 3.441587842454368*^9, 
  3.4415881098526993`*^9, 3.441588338365983*^9, 3.441588409157625*^9, 
  3.441589059606848*^9, 3.441592566454475*^9, 3.4415929020676517`*^9, 
  3.441592995194084*^9, 3.441593040147167*^9, 3.441593222882121*^9, 
  3.4417028681956167`*^9}],

Cell[BoxData["15484.885256`10.64145297809533"], "Output",
 CellChangeTimes->{3.441587153423821*^9, 3.441587842454368*^9, 
  3.4415881098526993`*^9, 3.441588338365983*^9, 3.441588409157625*^9, 
  3.441589059606848*^9, 3.441592566454475*^9, 3.4415929020676517`*^9, 
  3.441592995194084*^9, 3.441593040147167*^9, 3.441593222882121*^9, 
  3.441702868196909*^9}]
}, Open  ]]
},
WindowSize->{942, 975},
WindowMargins->{{62, Automatic}, {Automatic, 50}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (2008\:5e745\:670821\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 1924, 50, 102, "Input"],
Cell[2517, 75, 263, 6, 29, "Output"],
Cell[2783, 83, 1076, 17, 41, "Message"],
Cell[3862, 102, 1021, 17, 60, "Message"],
Cell[4886, 121, 948, 15, 58, "Message"],
Cell[5837, 138, 8014, 138, 259, "Output"],
Cell[13854, 278, 166, 2, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14057, 285, 3278, 83, 174, "Input"],
Cell[17338, 370, 391, 8, 29, "Output"],
Cell[17732, 380, 29559, 501, 234, 18975, 326, "CachedBoxData", "BoxData", \
"Output"],
Cell[47294, 883, 292, 4, 29, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47623, 892, 3103, 76, 156, "Input"],
Cell[50729, 970, 452, 9, 29, "Output"],
Cell[51184, 981, 337, 5, 29, "Output"],
Cell[51524, 988, 357, 5, 29, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
